Levain LabsLevain Labs
ApiOnboarding

Start Onboarding Crawl

Crawl your website to build your knowledge base.

Crawl your website to build your knowledge base.

Pages are added to your knowledge base as they're read. This runs in the background — poll GET /api/v1/runs/{run_id} for progress.

POST
/api/v1/onboarding/crawl

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

X-API-Key?string|null

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.levainlabs.com/api/v1/onboarding/crawl" \  -H "Content-Type: application/json" \  -d '{    "start_url": "string"  }'
{
  "run_id": "dded282c-8ebd-44cf-8ba5-9a234973d1ec",
  "status": "string"
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}